> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get metadata on the Rated Ethereum API endpoints

> This endpoint returns information about the latest data available from Rated's Ethereum API endpoints.

<Warning>
  This endpoint is available only to annual commitment and custom Enterprise plans. Get in touch with [hello@rated.network ](<mailto:hello@rated.network >)to learn more.
</Warning>


## OpenAPI

````yaml get /v1/eth/apiMetadata
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/eth/apiMetadata:
    get:
      tags:
        - Network
      summary: Get metadata on the Rated Ethereum API endpoints
      description: >-
        This endpoint returns information about the latest data available from
        Rated's Ethereum API endpoints.
      operationId: get_latest_network_date_v1_eth_apiMetadata_get
      parameters:
        - name: utc
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: Returns results based on UTC days (true) or ETH chain days (false)
            default: false
            title: Utc
          description: Returns results based on UTC days (true) or ETH chain days (false)
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiMetadata'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    ApiMetadata:
      properties:
        day:
          type: integer
          minimum: 0
          title: Day
        startEpoch:
          type: integer
          minimum: 0
          title: Startepoch
        endEpoch:
          type: integer
          minimum: 0
          title: Endepoch
        startSlot:
          type: integer
          minimum: 0
          title: Startslot
        endSlot:
          type: integer
          minimum: 0
          title: Endslot
        fromDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Fromdate
        toDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Todate
      type: object
      required:
        - day
        - startEpoch
        - endEpoch
        - startSlot
        - endSlot
      title: ApiMetadata
      examples:
        - day: 1337
          endEpoch: 301049
          endSlot: 9633599
          fromDate: '2024-07-30T12:00:23'
          startEpoch: 300825
          startSlot: 9626400
          toDate: '2024-07-31T12:00:11'
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````